## org.metaabm.commands
Class MultiValueCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.metaabm.commands.MultiValueCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

Direct Known Subclasses:
  AddMultiValueStateCommand, RemoveMultiValueCommand, RemoveMultiValueStateCommand, SetSinkFunctionCommand, SetSinkLabelCommand

    public class MultiValueCommand

extends org.eclipse.emf.common.command.CompoundCommand

Manages common operations on multi-valued functions.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`LAST_COMMAND_ALL, MERGE_COMMAND_ALL`

Constructor Summary
`MultiValueCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.metaabm.act.ASink sink, org.metaabm.function.FFunction newFunction)`

Method Summary
`void` `addAttribute(org.metaabm.act.AMultiValue multiValue, java.util.Collection<org.metaabm.SStateValue> processedOptions, int paramIndex)`
`void` `addAttributesCross(java.util.List<org.metaabm.act.AInput> inputs, java.util.Collection<org.metaabm.SState> states, java.util.Collection<org.metaabm.SStateValue> optionsPath)`
`void` `addAttributesSingle(java.util.List<org.metaabm.act.AInput> inputs, java.util.Collection<org.metaabm.SState> states, java.util.Collection<org.metaabm.SStateValue> optionsPath)`
`void` `removeMultiFunction(java.util.List<org.metaabm.act.AInput> inputs)`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, execute, getAffectedObjects, getCommandList, getDescription, getLabel, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiValueCommand

    public MultiValueCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                             org.metaabm.act.ASink sink,
                             org.metaabm.function.FFunction newFunction)

Method Detail

### addAttributesCross

    public void addAttributesCross(java.util.List<org.metaabm.act.AInput> inputs,
                                   java.util.Collection<org.metaabm.SState> states,
                                   java.util.Collection<org.metaabm.SStateValue> optionsPath)

### addAttributesSingle

    public void addAttributesSingle(java.util.List<org.metaabm.act.AInput> inputs,
                                    java.util.Collection<org.metaabm.SState> states,
                                    java.util.Collection<org.metaabm.SStateValue> optionsPath)

### addAttribute

    public void addAttribute(org.metaabm.act.AMultiValue multiValue,
                             java.util.Collection<org.metaabm.SStateValue> processedOptions,
                             int paramIndex)

### removeMultiFunction

    public void removeMultiFunction(java.util.List<org.metaabm.act.AInput> inputs)